

# UpdateBridge
<a name="API_UpdateBridge"></a>

 Updates the bridge.

## Request Syntax
<a name="API_UpdateBridge_RequestSyntax"></a>

```
PUT /v1/bridges/bridgeArn HTTP/1.1
Content-type: application/json

{
   "egressGatewayBridge": { 
      "maxBitrate": number
   },
   "ingressGatewayBridge": { 
      "maxBitrate": number,
      "maxOutputs": number
   },
   "sourceFailoverConfig": { 
      "failoverMode": "string",
      "recoveryWindow": number,
      "sourcePriority": { 
         "primarySource": "string"
      },
      "state": "string"
   }
}
```

## URI Request Parameters
<a name="API_UpdateBridge_RequestParameters"></a>

The request uses the following URI parameters.

 ** [bridgeArn](#API_UpdateBridge_RequestSyntax) **   <a name="mediaconnect-UpdateBridge-request-uri-bridgeArn"></a>
 TheAmazon Resource Name (ARN) of the bridge that you want to update.   
Pattern: `arn:.+:mediaconnect.+:bridge:.+`   
Required: Yes

## Request Body
<a name="API_UpdateBridge_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [egressGatewayBridge](#API_UpdateBridge_RequestSyntax) **   <a name="mediaconnect-UpdateBridge-request-egressGatewayBridge"></a>
 A cloud-to-ground bridge. The content comes from an existing MediaConnect flow and is delivered to your premises.   
Type: [UpdateEgressGatewayBridgeRequest](API_UpdateEgressGatewayBridgeRequest.md) object  
Required: No

 ** [ingressGatewayBridge](#API_UpdateBridge_RequestSyntax) **   <a name="mediaconnect-UpdateBridge-request-ingressGatewayBridge"></a>
 A ground-to-cloud bridge. The content originates at your premises and is delivered to the cloud.   
Type: [UpdateIngressGatewayBridgeRequest](API_UpdateIngressGatewayBridgeRequest.md) object  
Required: No

 ** [sourceFailoverConfig](#API_UpdateBridge_RequestSyntax) **   <a name="mediaconnect-UpdateBridge-request-sourceFailoverConfig"></a>
 The settings for source failover.   
Type: [UpdateFailoverConfig](API_UpdateFailoverConfig.md) object  
Required: No

## Response Syntax
<a name="API_UpdateBridge_ResponseSyntax"></a>

```
HTTP/1.1 202
Content-type: application/json

{
   "bridge": { 
      "bridgeArn": "string",
      "bridgeMessages": [ 
         { 
            "code": "string",
            "message": "string",
            "resourceName": "string"
         }
      ],
      "bridgeState": "string",
      "egressGatewayBridge": { 
         "instanceId": "string",
         "maxBitrate": number
      },
      "ingressGatewayBridge": { 
         "instanceId": "string",
         "maxBitrate": number,
         "maxOutputs": number
      },
      "name": "string",
      "outputs": [ 
         { 
            "flowOutput": { 
               "flowArn": "string",
               "flowSourceArn": "string",
               "name": "string"
            },
            "networkOutput": { 
               "ipAddress": "string",
               "name": "string",
               "networkName": "string",
               "port": number,
               "protocol": "string",
               "ttl": number
            }
         }
      ],
      "placementArn": "string",
      "sourceFailoverConfig": { 
         "failoverMode": "string",
         "recoveryWindow": number,
         "sourcePriority": { 
            "primarySource": "string"
         },
         "state": "string"
      },
      "sources": [ 
         { 
            "flowSource": { 
               "flowArn": "string",
               "flowVpcInterfaceAttachment": { 
                  "vpcInterfaceName": "string"
               },
               "name": "string",
               "outputArn": "string"
            },
            "networkSource": { 
               "multicastIp": "string",
               "multicastSourceSettings": { 
                  "multicastSourceIp": "string"
               },
               "name": "string",
               "networkName": "string",
               "port": number,
               "protocol": "string"
            }
         }
      ]
   }
}
```

## Response Elements
<a name="API_UpdateBridge_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [bridge](#API_UpdateBridge_ResponseSyntax) **   <a name="mediaconnect-UpdateBridge-response-bridge"></a>
 The bridge that was updated.   
Type: [Bridge](API_Bridge.md) object

## Errors
<a name="API_UpdateBridge_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.   
HTTP Status Code: 400

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.   
HTTP Status Code: 409

 ** ForbiddenException **   
You do not have sufficient access to perform this action.   
HTTP Status Code: 403

 ** InternalServerErrorException **   
The server encountered an internal error and is unable to complete the request.   
HTTP Status Code: 500

 ** NotFoundException **   
One or more of the resources in the request does not exist in the system.   
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable or busy.   
HTTP Status Code: 503

 ** TooManyRequestsException **   
The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_UpdateBridge_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediaconnect-2018-11-14/UpdateBridge) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediaconnect-2018-11-14/UpdateBridge) 